Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 222948 - DVD filesystem read errors
Summary: DVD filesystem read errors
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-01-16 22:57 UTC by rmhristev
Modified: 2008-02-08 04:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:25:03 UTC


Attachments (Terms of Use)

Description rmhristev 2007-01-16 22:57:59 UTC
Description of problem:

DVD reading fails when the DVD is close to full. It appears that reading fails
if the size of the data on the DVD is >~ 4.1GB.

Version-Release number of selected component (if applicable):

Fedora Core 6, kernel 2.6.18-1.2869.fc6, x86_64 architecture

How reproducible:

Always.

Steps to Reproduce:
1. Create and burn a DVD image:

mkisofs -v -V <directory> -publisher <publisher> -J -r -pad -hide-rr-moved -o
<isofile>

cdrecord -v dev=<dev> fs=64m gracetime=2 -data -dao driveropts=burnfree <isofile>

2. Mount the burned DVD and read the files

3. Watch out for error of the following kind:
kernel: attempt to access beyond end of device
kernel: hda: rw=0, want=6567900, limit=1260840

  
Actual results:
I/O Errors.

Expected results:
Good readings.

Additional info:

1. This bug is outstanding since FC5
2. Reading DVD is OK on the ix86 (32 bit) architectures.
3. The images burned are OK. In fact a (very time consuming) workaround is to
read the iso image back (e.g. with readcd) and then mount it via the loopback
device.

Comment 1 Jon Stanley 2008-01-08 01:52:13 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 2 Jon Stanley 2008-02-08 04:25:03 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.